	/****************************************************************************
 *
 * Bewsserungssteuerung
 *
 * (C) Fingers elektrische Welt 2003
 *
 * Imagecraft-C
 * AT90S8515
 *
 ****************************************************************************/

// Prozessarten
#define Regentonne              0
#define Schlauch                1
#define Beet					2

// Unetrscheidung der Betriebsart
#define Handbetrieb             0
#define Automatikbetrieb        1

// Prozess-Stati
#define Beendet                 0
#define Laufend                 1
#define Unterbrochen            2

// Die ganze Wahrheit....
#define TRUE										1
#define FALSE										0
#define EIN											TRUE
#define AUS											FALSE

// LED-Definitionen (Low = Ein)
#define LED_Fehler 					0x80 // Port C.7
#define LED_Tonne 					0x04 // Port C.2
#define LED_Schlauch 				0x08 // Port C.3
#define LED_Beet1						0x10 // Port C.4
#define LED_Beet2           0x20 // Port C.5
#define LED_Beet3           0x40 // Port C.6
#define LED_Tonne_rot       0x01 //	Port C.0 (High = Ein)
#define LED_Tonne_gruen     0x02 //	Port C.1 (High = Ein)

// Taster-Definitionen
#define Taster_Tonne				0x10 // Port A.4
#define Taster_Schlauch		  0x08 // Port A.3
#define Taster_Beet				  0x04 // Port A.2

// Schalter
#define Schalter_Auto       0x20 // Port A.5

// Sensoren
#define Sensor_Pegel				0x02 // Port A.1
#define Sensor_Zeit					0x01 // Port A.0
#define Sensor_Durchfluss		0x40 // Port A.6
#define Sensor_Druck				0x80 // Port A.7

// Relais-Definitionen (High = Ein)
#define Relais_Pumpe 				0x40 // Port D.7
#define Relais_230V 				0x80 // Port D.6

#define Relais_Tonne			 	0x20 // Port D.5
#define Relais_Schlauch			0x10 // Port D.4
#define Relais_Beet 				0x08 // Port D.3

#define Relais_Vert1A 			0x04 // Port D.2
#define Relais_Vert1B 			0x10 // Port B.4
#define Relais_Vert2A 			0x08 // Port B.3
#define Relais_Vert2B 			0x04 // Port B.2
#define Relais_Vert3A 			0x02 // Port B.1
#define Relais_Vert3B 			0x01 // Port B.0

// LED-Blinkzaehler (300ms)
#define Blinkertimer				3

// Prozessspezifische Einstellungen
#define Beetnummer					0
#define Beetanzahl					3
#define Prozesstimeout			    1

// Timeout-Definitionen
#define Timeout_Pumpe				120          // 2 Minuten Trockenlauf
#define Timeout_Tonne       600          // 10 Minuten
#define Timeout_Schlauch		60           // 1 Minute

// Highlevel-Definitionen
#define _Pumpe 				      1
#define _230V 			        2

#define _Tonne		 	        3
#define _Schlauch			      4
#define _Beet 			        5

#define _Vert1A 		        6
#define _Vert1B 		        7
#define _Vert2A 		        8
#define _Vert2B 		        9
#define _Vert3A 		        10
#define _Vert3B 		        11
