/*******************************************
 *
 * Port-Init
 *
 ******************************************/
void port_init (void)
{
 PORTA=0xFF;
 DDRA=0xC0;     // 1100.0000 1 = Ausgang, 0 = Eingang

 PORTB=0x00;
 DDRB=0xFF;

 PORTC=0x00;
 DDRC=0xFF;

 PORTD=0x00;
 DDRD=0xFC;
}

/*******************************************
 *
 * Watchdog-Init
 *
 ******************************************/
void watchdog_init (void)
 {
  WDR();
  WDTCR = 0x0F;
 }

/********************************************************************
 *
 * Timer_init, Clock source: System Clock, Clock value: 125,000 kHz
 *
 ********************************************************************/
void timer0_init (void)
{
 TCCR0=0x03;
 TCNT0=0x00;
 Timerstruct.Timercount = 0;
}

/*******************************************
 *
 * UART-Init, 38400, 8n1 @ 8 MHz
 *
 ******************************************/
void uart0_init (void)
 {
  UCR=0x18;
  UBRR=0x0C;
 }

/*******************************************
 *
 * System-Init
 *
 ******************************************/
void init_devices (void)
{
 CLI(); 													// disable all interrupts
 port_init();
 watchdog_init();
 timer0_init();
 uart0_init();

 MCUCR = 0x00;
 GIMSK = 0x00;
 TIMSK = 0x02;
 SEI(); 													// re-enable interrupts

 sprintf (sprintfbuffer, "\n\rLOS !\n\r");
 puts (sprintfbuffer);

 PORTC |= LED_Fehler; // Fehler-LED aus

}

/*****************************************
 *
 * Initialisierung
 *
 ****************************************/
void Init_Prozesse (void)
 {
  // Zuweisung der Art
  Prozessliste [0].Art = Regentonne;
  Prozessliste [1].Art = Schlauch;
  Prozessliste [2].Art = Beet;

  // Zuweisung des Status (alles aus)
  Prozessliste [0].Status = Beendet;
  Prozessliste [1].Status = Beendet;
  Prozessliste [2].Status = Beendet;

  // Timer-Initialisierungen
  Timerstruct.Timercount=0;
  Timerstruct.Ticker=0;
  Timerstruct.Blinkzaehler=0;
  Timerstruct.Timeoutzaehler_Pumpe=0;

 }
