//ICC-AVR application builder : 26.09.2003 22:48:25
// Target : 8515
// Crystal: 8.0000Mhz

#include <io8515v.h>
#include <macros.h>


//TIMER0 initialisation - prescale:1
// desired value: 1MHz
// actual value:  1,000MHz (0,0%)
void timer0_init(void)
{
 TCCR0 = 0x00; //stop timer
 TCNT0 = 0xF8; //set count value
 TCCR0 = 0x01; //start timer
}

#pragma interrupt_handler timer0_ovf_isr:8
void timer0_ovf_isr(void)
{
 TCNT0 = 0xF8; //reload counter value
}

//UART0 initialisation
// desired baud rate: 2400
// actual: baud rate:2404 (0,2%)
void uart0_init(void)
{
 UCR  = 0x00; //disable while setting baud rate
 UBRR = 0xCF; //set baud rate
 UCR  = 0x18; //enable
}

//call this routine to initialise all peripherals
void init_devices(void)
{
 //stop errant interrupts until set up
 CLI(); //disable all interrupts
 port_init();
 watchdog_init();
 timer0_init();
 uart0_init();

 MCUCR = 0x00;
 GIMSK = 0x00;
 TIMSK = 0x02;
 SEI(); //re-enable interrupts
 //all peripherals are now initialised
}
